# dba_key_split

(PHP 5, PHP 7, PHP 8)

dba_key_split — Zerlegt einen Schlüssel in Zeichenketten-Darstellung in eine Array-Darstellung

### Beschreibung

dba_key_split(string|false|null `$key`): array|false

dba_key_split() zerlegt einen Schlüssel, der in Zeichenketten-Darstellung vorliegt in eine Array-Darstellung.

### Parameter-Liste

`key`
  Der Schlüssel in Zeichenketten-Darstellung.

### Rückgabewerte

Gibt ein Array der Form `array(0 => gruppe, 1 => wert_name)` zurück. Falls `Schlüssel` `null` oder `false` ist, gibt diese Funktion `false` zurück.

### Changelog

Version | Beschreibung
--- | ---
8.4.0 | Die Übergabe von `null` oder `false` an `key` ist nun veraltet.

### Siehe auch

- dba_firstkey() - Liefert den ersten Schlüssel
- dba_nextkey() - Liefert den nachfolgenden Schlüssel
- dba_fetch() - Liest die Daten zu einem angegebenen Schlüssel aus

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open